New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump liip/imagine-bundle from 1.9.1 to 2.1.0 #577

Open
wants to merge 1 commit into
base: master
from

Conversation

Projects
None yet
1 participant
@dependabot
Copy link

dependabot bot commented Jan 15, 2019

Bumps liip/imagine-bundle from 1.9.1 to 2.1.0.

Release notes

Sourced from liip/imagine-bundle's releases.

FilterSets and Filters Config exposion

Changelog

Full Changelog

2.0.0 Release: Major Release

Changelog

Full Changelog

... (truncated)
Changelog

Sourced from liip/imagine-bundle's changelog.

2.1.0 (2018-07-10)

Full Changelog

2.0.0 (2018-04-30)

Full Changelog

Upgrade guide

Sourced from liip/imagine-bundle's upgrade guide.

Upgrade Notices

This file contains a descriptive enumeration of important changes that may require manual intervention in your
application code or are otherwise particularly noteworthy. Reference our full
changelog for a complete list of all changes for a
given release.

2.0.0

Released on 2018-04-06 and assigned 2.0.0 tag (view verbose changelog).

  • [Post Processor] [BC BREAK] The PostProcessorConfigurablePostProcessorInterface interface has been completely removed
    and the PostProcessorInterface interface has been updated to allow passing the configuration array to its
    process method as the second parameter. The PostProcessorInterface::process() now implements the following
    signature: process(BinaryInterface $binary, array $options = []): BinaryInterface. All custom post processors
    in your project must be updated to match this new signature.

  • [Dependencies] The imagine/Imagine dependency has been updated from the 0.6.x series to require 0.7.1 or
    greater. If you project has a hard dependency on any prior version, you will need to update your dependencies.

  • [Form] The legacy setDefaultOptions() and getName() methods on Form/Type/ImageType have been removed, as
    these methods are no longer required for Symfony. If using them, you will need to update your implementation.

  • [Dependency Injection] The DependencyInjection/Factory/ChildDefinitionTrait trait has been removed, as it
    handled logic to support legacy Symfony versions no longer targeted.

  • [Dependency Injection] The compiler pass log method signature has changed to
    log(ContainerBuilder $container, string $message, ...$replacements): void. If you are extending
    AbstractCompilerPass and using this protected method, you must update your usage.

  • [Dependency Injection] The default values for the liip_imagine.loaders.<name>.filesystem.data_root and
    liip_imagine.resolvers.<name>.web_path.web_root configuration options are now variable based on the Symfony version.
    For Symfony 4.0.0 and later, the value is %kernel.project_dir%/public, and for prior releases (such as the Symfony
    3.x), the value is %kernel.project_dir%/web. This should automatically provide a suitable default for the
    different directory structures of the 4.x and 3.x Symfony releases.

  • [Dependency Injection] [Filter] A new filter service abstraction is available as
    liip_imagine.service.filter with a createFilteredBinary($path, $filter, array $runtimeFilters = []) method to
    quickly get the filtered binary image and a getUrlOfFilteredImage($path, $filter, $resolver = null) method to
    quickly resolve and get the filtered image URL.

  • [Data Loader] The FileSystemLoader::__construct() method signature has changed in accordance with the prior
    deprecation notice; the third parameter must be of signature
    \Liip\ImagineBundle\Binary\Locator\LocatorInterface $locator and the fourth parameter must be of signature
    array $dataRoots.

  • [Data Loader] The GridFSLoader data loader has been removed as the required
    mongo extension has been deprecated and will not be ported to PHP 7.x.

... (truncated)
Commits
  • 1acae6a Update CHANGELOG.md
  • 4eca50b Update CHANGELOG.md
  • 6b5ca1a Merge pull request #1110 from liip/feature/pass-resolvers-and-loaders-config
  • 9057239 added bypassing of loaders and resolvers configuration
  • 82aeb77 Merge pull request #1098 from liip/config-reader
  • 2e1c7d7 Merge pull request #1105 from liip/config-driver-injection
  • 0624a2a removed backslashes from native constants
  • f1ed641 Merge branch '2.0' into config-reader
  • a3dd770 Merge branch '2.0' into config-driver-injection
  • e3d1476 removed backslashes from native constants
  • Additional commits viewable in compare view

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot ignore this [patch|minor|major] version will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Automerge options (never/patch/minor, and dev/runtime dependencies)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

@dependabot dependabot bot added the dependencies label Jan 15, 2019

@dependabot dependabot bot force-pushed the dependabot/composer/liip/imagine-bundle-2.1.0 branch 6 times, most recently from 9d1887e to dea1125 Jan 16, 2019

@dependabot dependabot bot force-pushed the dependabot/composer/liip/imagine-bundle-2.1.0 branch 7 times, most recently from 0cfc8b9 to 9873f8e Jan 29, 2019

@dependabot dependabot bot force-pushed the dependabot/composer/liip/imagine-bundle-2.1.0 branch 3 times, most recently from fd2dd95 to 1ce8fe9 Feb 7, 2019

@dependabot dependabot bot force-pushed the dependabot/composer/liip/imagine-bundle-2.1.0 branch from 1ce8fe9 to d6236d5 Feb 12, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment